[arch-commits] CVS update of extra/system/hal-info (PKGBUILD hal-info-nohalcheck.patch)

Jan de Groot jgc at archlinux.org
Thu Dec 27 09:06:38 EST 2007


    Date: Thursday, December 27, 2007 @ 09:06:38
  Author: jgc
    Path: /home/cvs-extra/extra/system/hal-info

Modified: PKGBUILD (1.8 -> 1.9)
 Removed: hal-info-nohalcheck.patch (1.1)

upgpkg: hal-info 0.20071212-1
Remove upstream applied patch


---------------------------+
 PKGBUILD                  |   13 +++++--------
 hal-info-nohalcheck.patch |   15 ---------------
 2 files changed, 5 insertions(+), 23 deletions(-)


Index: extra/system/hal-info/PKGBUILD
diff -u extra/system/hal-info/PKGBUILD:1.8 extra/system/hal-info/PKGBUILD:1.9
--- extra/system/hal-info/PKGBUILD:1.8	Sun Nov 11 07:46:58 2007
+++ extra/system/hal-info/PKGBUILD	Thu Dec 27 09:06:38 2007
@@ -1,22 +1,19 @@
-# $Id: PKGBUILD,v 1.8 2007/11/11 12:46:58 jgc Exp $
+# $Id: PKGBUILD,v 1.9 2007/12/27 14:06:38 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=hal-info
-_date=20071030
-pkgver=0.20071030
+_date=20071212
+pkgver=0.20071212
 pkgrel=1
 pkgdesc="Hardware Abstraction Layer information files"
 arch=(i686 x86_64)
 license=('GPL' 'custom')
 url="http://www.freedesktop.org/wiki/Software/hal"
-source=(http://hal.freedesktop.org/releases/hal-info-${_date}.tar.gz
-	hal-info-nohalcheck.patch)
-md5sums=('d0bc671a56477bac28a18b8bcf80c2be'
-         '0cbd30fa47d03c738916f57fa9680087')
+source=(http://hal.freedesktop.org/releases/hal-info-${_date}.tar.gz)
+md5sums=('b35ef065c025d337ac91c11ea840aa25')
 
 build() {
   cd ${startdir}/src/${pkgname}-${_date}
-  patch -Np0 -i ${startdir}/src/hal-info-nohalcheck.patch || return 1
   ./configure --prefix=/usr --sysconfdir=/etc || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
Index: extra/system/hal-info/hal-info-nohalcheck.patch
diff -u extra/system/hal-info/hal-info-nohalcheck.patch:1.1 extra/system/hal-info/hal-info-nohalcheck.patch:removed
--- extra/system/hal-info/hal-info-nohalcheck.patch:1.1	Sun Oct 28 13:23:58 2007
+++ extra/system/hal-info/hal-info-nohalcheck.patch	Thu Dec 27 09:06:38 2007
@@ -1,15 +0,0 @@
---- configure.orig	2007-10-28 17:21:54.000000000 +0000
-+++ configure	2007-10-28 17:22:04.000000000 +0000
-@@ -3415,12 +3415,6 @@
- 
- fi
- 
--if ! $PKG_CONFIG --atleast-version 0.5.10 hal; then
--   { { echo "$as_me:$LINENO: error: hal 0.5.10 or later is required for this version of hal-info" >&5
--echo "$as_me: error: hal 0.5.10 or later is required for this version of hal-info" >&2;}
--   { (exit 1); exit 1; }; }
--fi
--
- # Check whether --enable-recall was given.
- if test "${enable_recall+set}" = set; then
-   enableval=$enable_recall; enable_recall=$enableval




More information about the arch-commits mailing list